petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCGetUseAmat

Gets a flag to indicate that when the preconditioner needs to apply (part of) the operator during the preconditioning process it applies the Amat provided to TSSetRHSJacobian(), TSSetIJacobian(), SNESSetJacobian(), KSPSetOperator() or PCSetOperator() not the Pmat.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCGetUseAmat(PC pc,PetscBool *flg)

Logically Collective on PC

### Input Parameter

pc -the preconditioner context

### Output Parameter

flg -PETSC_TRUE to use the Amat, PETSC_FALSE to use the Pmat (default is false)

### Notes

For the common case in which the linear system matrix and the matrix used to construct the preconditioner are identical, this routine is does nothing.

### See Also

PCSetUseAmat(), PCBJACOBI, PGMG, PCFIELDSPLIT, PCCOMPOSITE

Level:intermediate
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages